valorant-api-types
Version:
A collection of documented endpoints and return types for the unofficial Valorant API
34 lines (33 loc) • 1.08 kB
TypeScript
import { z } from 'zod';
export declare const entitlementsTokenEndpoint: {
readonly name: "Entitlements Token";
readonly description: string;
readonly category: "Local Endpoints";
readonly type: "local";
readonly suffix: "entitlements/v1/token";
readonly riotRequirements: {
readonly localAuth: true;
};
readonly responses: {
readonly '200': z.ZodObject<{
accessToken: z.ZodString;
entitlements: z.ZodArray<z.ZodUnknown, "many">;
issuer: z.ZodString;
subject: z.ZodString;
token: z.ZodString;
}, "strip", z.ZodTypeAny, {
token: string;
subject: string;
accessToken: string;
entitlements: unknown[];
issuer: string;
}, {
token: string;
subject: string;
accessToken: string;
entitlements: unknown[];
issuer: string;
}>;
};
};
export type EntitlementsTokenResponse = z.input<typeof entitlementsTokenEndpoint.responses['200']>;